Reward SPI

POST Look up rewards.

POST /merchant/sample/endpoint/reward/lookup

Operation ID: lookupRewards. Tags: Reward SPI.

Fetch the available rewards for a customer that can be applied as a tender. Reward lookup is done based on the customer account (CustomerId, Card Acquisition Token, etc.). Merchants must implement this endpoint per this specification and then configure it in CMS under CMS > Store Management > Integration > Custom API Connectors > Create. Make sure to create the endpoint in CMS with the following details:

  1. Under API Config:
  2. Under JSON Config:
    • Integration Type: HTTP_POST
    • JSON Headers: Provide the header for the API. Headers can be Content-Type, Authorization attributes like clientId/password, for example: {"Content-Type":"application/json","client_id":"myClientId","client_secret":"myClientSecret"}.

Request body

Media type: */*. Schema: SpiRewardLookupRequest.

Responses

  • default Default response.

    Media type: application/json. Schema: SpiRewardLookupResponse.